Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/AA_make
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/AA_make	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/AA_make	(revision 469)
@@ -0,0 +1,58 @@
+#- $Id$
+
+
+all :
+	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake LMD9671 ; fi
+
+LMD7245 : libioipsl liborchidee lmdz7245
+	echo "LMD7245" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+LMD9671 : libioipsl liborchidee lmdz9671
+	echo "LMD9671" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+LMD14496 : libioipsl liborchidee lmdz14496
+	echo "LMD14496" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+LMD144142 : libioipsl liborchidee lmdz144142
+	echo "LMD144142" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+libioipsl :
+	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
+
+liborchidee :
+	(cd ../../modeles/ORCHIDEE/ ; $(M_K) -f Makefile)
+
+precsechiba :
+	(cd ../../modeles/ORCHIDEE/src_parameters ; $(M_K) -f Makefile checkprec)
+
+config : libioipsl
+	(cd ../../modeles/IOIPSL/src; $(M_K) -f Makefile config)
+	(cd ../../modeles/ORCHIDEE; $(M_K) -f Makefile config)
+	$(BINDIR)/Fparser -main -name ORCHIDEE_OL $(MODS1)
+	$(SCPDIR)/build_tkmenus
+	./config.tk
+	$(RM) Config.*
+
+cleanORC : 
+	(cd ../../modeles/ORCHIDEE; $(M_K) -f Makefile clean)
+
+lmdz7245:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_72x45x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_72x45x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+lmdz9671:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x71x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+lmdz14496:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x96x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x1 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_144x96x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+lmdz144142:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x142x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_144x142x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+
+verif:
+	ls -l ../../bin
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/AA_make.ldef
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/AA_make.ldef	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/AA_make.ldef	(revision 469)
@@ -0,0 +1,14 @@
+#- $Id$
+#---------------------------------------------------------------------
+#- Creation des elements relatifs a LMDZ4_V3_1 + ORCHIDEE_1_9_1 :
+#-      LMDZ4_V2_1 (lib, executable : gcm.e)
+#-      ORCHIDEE (lib + modules F90)
+#-      IOIPSL (lib + modules F90)
+#---------------------------------------------------------------------
+SHELL = /bin/sh
+#---------------------------------------------------------------------
+LIBDIR = ../../../../lib
+BINDIR = ../../../../bin
+MODDIR = $(LIBDIR)
+#---------------------------------------------------------------------
+#-
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.card	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.card	(revision 469)
@@ -0,0 +1,38 @@
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	(${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECDYN.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECPHY.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Relief.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Rugos.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/landiceref.nc, .) \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sst_1x1_clim.nc, amipbc_sst_1x1.nc), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sic_1x1_clim.nc, amipbc_sic_1x1.nc)
+
+[BoundaryFiles]
+List=   () 
+ListNonDel= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/physiq.def, .), \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM}, gcm.def), \
+	(${SUBMIT_DIR}/PARAM/run.def, .), \
+	(${SUBMIT_DIR}/PARAM/traceur.def, .) 
+
+[RestartFiles]
+List=	(start.nc, start.nc, start.nc), \
+	(startphy.nc, startphy.nc,  startphy.nc), \
+	(limit.nc, limit.nc,  limit.nc)
+
+[OutputText]
+List=   (ftrace.out.1.0)
+
+[OutputFiles]
+List=	()
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.card_AMIP
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.card_AMIP	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.card_AMIP	(revision 469)
@@ -0,0 +1,37 @@
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc)
+ListNonDel= (${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECDYN.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECPHY.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Relief.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Rugos.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/landiceref.nc, .)
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/physiq.def, .), \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM}, gcm.def), \
+	(${SUBMIT_DIR}/PARAM/run.def, .), \
+	(${SUBMIT_DIR}/PARAM/traceur.def, .) 
+
+[RestartFiles]
+List=	(start.nc, start.nc, start.nc), \
+	(startphy.nc, startphy.nc,  startphy.nc), \
+	(limit.nc, limit.nc,  limit.nc)
+
+[OutputText]
+List=   (ftrace.out.1.0)
+
+[OutputFiles]
+List=	()
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.driver
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.driver	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/COMP/lmdz.driver	(revision 469)
@@ -0,0 +1,99 @@
+#!/bin/ksh
+
+# MPI Variables
+ATM_PARA=0
+
+#-----------------------------------------------------------------
+function ATM_Initialize
+{
+    IGCM_debug_PushStack "ATM_Initialize"
+
+    RESOL_ATM=${RESOL}
+
+    ##--Frequency purpose ....
+    ##--  Initialisation  ....
+    OK_instan=n
+    ##-- 
+    OK_journe=n
+    OK_mensuel=n
+
+    case ${config_UserChoices_PeriodLength} in
+	1Y|1y|1M|1m) OK_mensuel=y ;;
+	5D|5d|1D|1d) OK_journe=y ;;
+    esac
+
+    for frequency in ${config_ATM_WriteFrequency} ; do
+	case ${frequency} in
+	    5D|5d|1D|1d) OK_journe=y ;;
+	esac
+    done
+
+    ##--Variables used by LMDZ --
+    PAT_INST=$(     grep 'OK_instan'   ${SUBMIT_DIR}/PARAM/physiq.def )
+    PAT_JOUR=$(     grep 'OK_journe'   ${SUBMIT_DIR}/PARAM/physiq.def )
+    PAT_MOIS=$(     grep 'OK_mensuel'  ${SUBMIT_DIR}/PARAM/physiq.def )
+
+    PAT_iphysiq=$(  grep 'iphysiq'     ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} )
+    PAT_iperiod=$(  grep 'iperiod'     ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} | tail -1)
+    PAT_day_step=$( grep 'day_step'    ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} )
+    PAT_ecritphy=$( grep 'ecritphy'    ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} )
+
+    ##-- This could be define in lmdz.card, inside section [UserChoices]
+    ##-- Otherwise we get the value in *.def
+    iperiod=$(grep iperiod ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} | awk -F= '{print $2}' | tail -1)
+    iphysiq=$(grep iphysiq ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} | awk -F= '{print $2}')
+    # day_step : number of steps per day (multiple of iperiod)
+    (( day_step = 48 * iphysiq ))
+
+    IGCM_debug_PopStack "ATM_Initialize"
+}
+
+#-----------------------------------------------------------------
+function ATM_Update
+{
+    IGCM_debug_PushStack "ATM_Update"
+
+    ecritphy=${PeriodLengthInDays}
+
+    ##-- Remise ou non a zero de la date initiale de LMDZ pour le fichier run.def
+    if [ ${CumulPeriod} -eq 1 ] ; then
+	RAZ_DATE=1
+    else
+	RAZ_DATE=0
+    fi
+
+    ## Mise en forme du fichier physiq.def
+    sed -e "s/OK_instan=.*/OK_instan=${OK_instan}/"   \
+	-e "s/OK_journe=.*/OK_journe=${OK_journe}/"   \
+	-e "s/OK_mensuel=.*/OK_mensuel=${OK_mensuel}/" \
+	physiq.def > physiq.def.tmp
+    IGCM_sys_Mv physiq.def.tmp physiq.def
+
+    ## Mise en forme du fichier gcm.def
+    sed  -e "s/${PAT_ecritphy}/ecritphy=${ecritphy}/" \
+	-e "s/${PAT_day_step}/day_step=${day_step}/" \
+	-e "s/${PAT_iperiod}/iperiod=${iperiod}/" \
+	-e "s/${PAT_iphysiq}/iphysiq=${iphysiq}/" \
+	gcm.def > gcm.def.tmp
+    IGCM_sys_Mv gcm.def.tmp gcm.def
+
+    ## Mise en forme du fichier run.def
+    sed -e "s/_dayref_/${InitDay}/" \
+	-e "s/_anneeref_/${InitYear}/" \
+	-e "s/_nday_/${PeriodLengthInDays}/" \
+	-e "s/_raz_date_/${RAZ_DATE}/" \
+	run.def > run.def.tmp
+    IGCM_sys_Mv run.def.tmp run.def
+
+    IGCM_debug_PopStack "ATM_Update"
+}
+
+#-----------------------------------
+function ATM_Finalize
+{
+    IGCM_debug_PushStack "ATM_Finalize"
+
+    echo FINALIZE ATM !
+
+    IGCM_debug_PopStack "ATM_Finalize"
+}
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD144142
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD144142	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD144142	(revision 469)
@@ -0,0 +1,1 @@
+link ../../LMDZOR/PARAM/gcm.def_LMD144142
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD14496
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD14496	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD14496	(revision 469)
@@ -0,0 +1,1 @@
+link ../../LMDZOR/PARAM/gcm.def_LMD14496
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD7245
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD7245	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD7245	(revision 469)
@@ -0,0 +1,1 @@
+link ../../LMDZOR/PARAM/gcm.def_LMD7245
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD9671
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD9671	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/gcm.def_LMD9671	(revision 469)
@@ -0,0 +1,1 @@
+link ../../LMDZOR/PARAM/gcm.def_LMD9671
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/physiq.def
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/physiq.def	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/physiq.def	(revision 469)
@@ -0,0 +1,1 @@
+link ../../LMDZOR/PARAM/physiq.def
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/run.def
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/run.def	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/run.def	(revision 469)
@@ -0,0 +1,20 @@
+#
+# $Header: /home/ioipsl/CVSROOT/LMDZ4OR/CLIM_CREATE/PARAM/run.def,v 1.1 2006/12/21 10:17:35 adm Exp $
+#
+INCLUDEDEF=physiq.def
+INCLUDEDEF=gcm.def
+#INCLUDEDEF=orchidee.def
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=_dayref_
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=_anneeref_
+## Nombre de jours d'integration
+nday=_nday_
+## Remise a zero de la date initiale
+raz_date=_raz_date_
+## periode de sortie des variables de controle (en pas)
+iconser=240
+## periode d'ecriture du fichier histoire (en jour)
+iecri=1
+## periode de stockage fichier histmoy (en jour)
+periodav=1.
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/traceur.def
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/traceur.def	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/PARAM/traceur.def	(revision 469)
@@ -0,0 +1,1 @@
+link ../../LMDZOR/PARAM/traceur.def
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/config.card
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/config.card	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/config.card	(revision 469)
@@ -0,0 +1,74 @@
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+#D-- (<8 chars MAX for JobName)
+JobName=CLIM_EL
+LongName="Call for create_etat0_limit for climatologic run."
+TagName=LMDz4OR_v2
+#============================
+#D-- leap, noleap, 360d
+CalendarType=360d
+#D-- Début et fin de Job
+#D-- "YYYY-MM-DD"
+DateBegin=1979-01-01
+DateEnd=1979-12-30
+#============================
+#D-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_V3_1)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=create_etat0_limit.e
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (create_etat0_limit.e, create_etat0_limit.e)
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=
+#D- Define restart simulation name (=> JOB_OS)
+RestartJobName=
+#D- Path Server Group Login (=> PSGL)
+RestartPath=
+# Attention login depend de la machine
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1Y"
+# If config_Restarts_OverRule == 'n' all params are read
+Restart= n
+# Last day of the experience used as restart
+RestartDate=
+# Define restart simulation name
+RestartJobName=
+RestartPath=
+# Old component name for restart (if empty, use new name)
+OldName=
+
+
+#========================================================================
+#D-- NO Post -
+[Post]
+RebuildFrequency=
+MonitoringFrequency=
+TimeSeriesFrequency=
+SeasonalFrequency=
+#========================================================================
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/config.card_AMIP
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/config.card_AMIP	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/CREATE/config.card_AMIP	(revision 469)
@@ -0,0 +1,76 @@
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+#D-- (<8 chars MAX for JobName)
+JobName=AMIP_EL
+LongName='Call for create_etat0_limit for AMIP run.'
+TagName=LMDz4OR_v2
+#============================
+#D-- leap, noleap, 360d
+CalendarType=360d
+#D-- Début et fin de Job
+#D-- "YYYY-MM-DD"
+DateBegin=1956-01-01
+DateEnd=2005-12-30
+#============================
+#D-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+PeriodNb=50
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_V3_1)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=create_etat0_limit.e
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (create_etat0_limit.e, create_etat0_limit.e)
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=
+#D- Define restart simulation name (=> JOB_OS)
+RestartJobName=
+#D- Path Server Group Login (=> PSGL)
+RestartPath=
+# Attention login depend de la machine
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1Y"
+# If config_Restarts_OverRule == 'n' all params are read
+Restart= n
+# Last day of the experience used as restart
+RestartDate=
+# Define restart simulation name
+RestartJobName=
+RestartPath=
+# Old component name for restart (if empty, use new name)
+OldName=
+
+
+#========================================================================
+#D-- NO Post -
+[Post]
+RebuildFrequency=
+MonitoringFrequency=
+TimeSeriesFrequency=
+SeasonalFrequency=
+#========================================================================
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/lmdz.card	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/lmdz.card	(revision 469)
@@ -0,0 +1,136 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+#You can choose here the name of create_etat0 you want to use
+CREATE=CLIM_EL
+#CREATE=AMIP_EL
+#CREATE=Another
+# If noting is defined here, the job will get the JobName in the file  ../CREATE/config.card
+
+[InitialStateFiles]
+# start and startphy are the clim files computed with CREATE (create_etat0_limit) job
+# CLIM version
+List=	(${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Restart/${CREATE}_19791230_start.nc, start.nc) \
+	(${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Restart/${CREATE}_19791230_startphy.nc, startphy.nc) 
+# AMIP files : replace this list by 
+#List=	(${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Restart/${CREATE}_${year}1230_start.nc, start.nc) \
+# 	(${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Restart/${CREATE}_${year}1230_startphy.nc, startphy.nc) 
+
+# Default values for climatological computation without create_etat0_limit step :
+# (${R_INIT}/ATM/climLMDZ4ORv2/start_96x71x19_clim.nc, start.nc) \
+# (${R_INIT}/ATM/climLMDZ4ORv2/startphy_96x71x19_clim.nc, startphy.nc) 
+# or ?
+# (${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sic_1x1_clim.nc, amipbc_sic_1x1.nc), \
+# (${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sst_1x1_clim.nc, amipbc_sst_1x1.nc)
+
+
+[BoundaryFiles]
+List=   () 
+# AMIP files : list is :
+# (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Restart/${CREATE}_${year}1230_limit.nc, limit.nc) \
+
+# The first one is the limit.nc computed with CREATE job
+# CLIM version
+ListNonDel= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Restart/${CREATE}_19791230_limit.nc, limit.nc) \
+	(${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/flux_iceberg, .)
+# Default values for climatological computation without create_etat0_limit step :
+# (${R_INIT}/ATM/climLMDZ4ORv2/limit_amipbc_96x71_clim.nc, limit.nc) \
+# AMIP version :
+#       (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/flux_iceberg, .),\
+# 	(${R_BC}/ATM/${config_UserChoices_TagName}/ISCCP/tautab.formatted, .),\
+# 	(${R_BC}/ATM/${config_UserChoices_TagName}/ISCCP/invtau.formatted, .)
+
+# With sulfates :
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1850.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1900.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1920.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1930.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1940.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1950.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1960.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1970.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1980.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run1990.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run2000.cdf, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/HISTORIQUE/so4.run.nat.cdf, .),\
+
+# With ISSCP engine :
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/ISCCP/tautab.formatted, .),\
+#         (${R_BC}/ATM/${config_UserChoices_TagName}/ISCCP/invtau.formatted, .),\
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/physiq.def, .), \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM}, gcm.def), \
+	(${SUBMIT_DIR}/PARAM/run.def, .), \
+	(${SUBMIT_DIR}/PARAM/traceur.def, .), \
+	(${SUBMIT_DIR}/PARAM/Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat, .)
+
+[RestartFiles]
+List=	(restart.nc, restart.nc, start.nc), \
+	(restartphy.nc, restartphy.nc,  startphy.nc)
+
+[OutputText]
+List=   (gcm.e.prt0, ftrace.out.1.0, physiq.def, gcm.def, run.def, traceur.def, Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat)
+
+[OutputFiles]
+List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,      Post_1M_histmth), \
+	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      NONE), \
+ 	(dyn_hist_ave.nc, ${R_OUT_ATM_O_M}/${PREFIX}_1M_dyn_hist_ave.nc, NONE), \
+ 	(dyn_histv.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_dyn_histv.nc,    NONE)
+
+# Post_1M_dynzon, Post_1D_histday
+
+# Other lmdz files
+# , \
+#	(dynzon.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,       NONE), \
+#	(histISCCP.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histISCCP.nc,    NONE), \
+#	(histNMC.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histNMC.nc,      NONE), \
+# 	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       NONE), \
+# 	(histhf3d.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf3d.nc,     NONE), \
+# 	(histins.nc,      ${R_OUT_ATM_O_I}/${PREFIX}_INS_histins.nc,     NONE), \
+# 	(histREGDYN.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histREGDYN.nc,   NONE), \
+# 	(histday_seri.nc, ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday_seri.nc, NONE), \
+# 	(dyn_hist.nc,     ${R_OUT_ATM_O_M}/${PREFIX}_1M_dyn_hist.nc,     NONE)
+
+[Post_1M_histmth]
+Patches= (Patch_20070220_histcom_time_axis)
+GatherWithInternal = (lon, lat, presnivs, time_counter)
+MonitoringVars= (bils, nettop, precip, tsol)
+TimeSeriesVars= (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, sens, slp, snowf, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWup200clr, SWdnTOA, SWupTOA, SWdn200, SWdn200clr, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, taux_ter, taux_sic, taux_lic, taux_oce, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, topl0, topl, tops0, tops, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic)
+
+[Post_1M_histISCCP]
+Patches= ()
+GatherWithInternal = (lon, lat, cldtopres, time_counter)
+MonitoringVars=
+TimeSeriesVars=(cldISCCP_tau1, cldISCCP_tau2, cldISCCP_tau3, cldISCCP_tau4, cldISCCP_tau5, cldISCCP_tau6, cldISCCP_tau7)
+
+[Post_1M_histNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter)
+MonitoringVars =
+TimeSeriesVars= (t1000, t925, t850, t700, t600, t500, t400, t300, t250, t200, t150, t100, t70, t50, t30, t20, t10, u1000, u925, u850, u700, u600, u500, u400, u300, u250, u200, u150, u100, u70, u50, u30, u20, u10, v1000, v925, v850, v700, v600, v500, v400, v300, v250, v200, v150, v100, v70, v50, v30, v20, v10, phi1000, phi925, phi850, phi700, phi600, phi500, phi400, phi300, phi250, phi200, phi150, phi100, phi70, phi50, phi30, phi20, phi10, rh1000, rh925, rh850, rh700, rh600, rh500, rh400, rh300, rh250, rh200, rh150, rh100, rh70, rh50, rh30, rh20, rh10, q1000, q925, q850, q700, q600, q500, q400, q300, q250, q200, q150, q100, q70, q50, q30, q20, q10)
+
+[Post_1M_dynzon]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter)
+MonitoringVars =
+TimeSeriesVars =
+
+[Post_1D_histday]
+Patches= (Patch_20070220_histcom_time_axis)
+GatherWithInternal = (lon, lat, presnivs, time_counter)
+MonitoringVars=
+TimeSeriesVars= (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, phi500, precip, psol, q2m, sens, slp, soll, sols, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m)
+
+[Post_HF_histhf]
+Patches= (Patch_20070220_histcom_time_axis)
+GatherWithInternal = (lon, lat, presnivs, time_counter)
+MonitoringVars=
+TimeSeriesVars=(cldt, psol, q2m, slp, t2m, rain, tsol, u10m, u500, v10m, phi500, t500)
+
+[Post_HF_histhf3d]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter)
+MonitoringVars =
+TimeSeriesVars=(temp, ovap, vitu, vitv)
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/lmdz.driver
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/lmdz.driver	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/lmdz.driver	(revision 469)
@@ -0,0 +1,136 @@
+#!/bin/ksh
+#-----------------------------------------------------------------
+function ATM_Initialize
+{
+    IGCM_debug_PushStack "ATM_Initialize"
+
+#D- create_etat0_limit version : CLIM_EL or AMIP_EL
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices CREATE
+    CREATE=${lmdz_UserChoices_CREATE}
+    echo create_etat0_limit version : ${CREATE}
+
+#D- Default number of processor for lmdz
+    NUM_PROC_ATM=1
+#D- Number of processors used for lmdz and oasis coupler computed from PBS variable
+    if [ X"${BATCH_NUM_PROC_TOT}" != X ] ; then
+	NUM_PROC_ATM=${BATCH_NUM_PROC_TOT}
+    fi
+    echo BATCH_NUM_PROC_TOT=${BATCH_NUM_PROC_TOT}
+    echo NUM_PROC_ATM=${NUM_PROC_ATM}
+
+    RESOL_ATM=${RESOL}
+
+    case ${RESOL_ATM} in
+	LMD7245)   BandsResol=72x45x19   ;;
+	LMD9671)   BandsResol=96x71x19   ;;
+	LMD14496)  BandsResol=144x96x19  ;;
+	LMD144142) BandsResol=144x142x19 ;;
+    esac
+
+    ##--Frequency purpose ....
+    ##--  Initialisation  ....
+    OK_instan=n
+    ##-- 
+    OK_journe=n
+    OK_mensuel=n
+
+    case ${config_UserChoices_PeriodLength} in
+	1Y|1y|1M|1m) OK_mensuel=y ;;
+	5D|5d|1D|1d) OK_journe=y ;;
+    esac
+
+    for frequency in ${config_ATM_WriteFrequency} ; do
+	case ${frequency} in
+	    5D|5d|1D|1d) OK_journe=y ;;
+	esac
+    done
+
+    ##--Variables used by LMDZ --
+    PAT_INST=$(     grep 'OK_instan'   ${SUBMIT_DIR}/PARAM/physiq.def )
+    PAT_JOUR=$(     grep 'OK_journe'   ${SUBMIT_DIR}/PARAM/physiq.def )
+    PAT_MOIS=$(     grep 'OK_mensuel'  ${SUBMIT_DIR}/PARAM/physiq.def )
+
+    PAT_iphysiq=$(  grep 'iphysiq'     ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM} )
+    PAT_iperiod=$(  grep 'iperiod'     ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM} | tail -1)
+    PAT_day_step=$( grep 'day_step'    ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM} )
+    PAT_ecritphy=$( grep 'ecritphy'    ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM} )
+
+    ##-- This could be define in lmdz.card, inside section [UserChoices]
+    ##-- Otherwise we get the value in *.def
+    iperiod=$(grep iperiod ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM} | awk -F= '{print $2}' | tail -1)
+    iphysiq=$(grep iphysiq ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM} | awk -F= '{print $2}')
+    # day_step : number of steps per day (multiple of iperiod)
+    (( day_step = 48 * iphysiq ))
+
+    IGCM_debug_PopStack "ATM_Initialize"
+}
+
+#-----------------------------------------------------------------
+function ATM_Update
+{
+    IGCM_debug_PushStack "ATM_Update"
+
+# Another solution to make start.nc/startphy.nc/limit.nc for a CLIM run :
+# if ( ${FirstInitialize} ) ; then
+
+#    if ( [ "${config_Restarts_OverRule}" = "n" ] && [ "${config_ATM_Restart}" = "n" ] ); then
+#       if [ ${DRYRUN} -le 2 ] ; then
+#            IGCM_sys_Cp ${R_EXE}/create_etat0_limit.e ${RUN_DIR}/.
+#          if [ ${DRYRUN} -le 1 ] ; then
+#            ./create_etat0_limit.e
+#          fi
+#       else
+#          echo "EXECUTION of ./create_etat0_limit.e simulated"
+#          echo "EXECUTION of ./create_etat0_limit.e simulated for DRYRUN = " $DRYRUN >> stack
+#       fi
+#    fi
+
+# fi 
+
+
+    ecritphy=${PeriodLengthInDays}
+
+    ##-- Remise ou non a zero de la date initiale de LMDZ pour le fichier run.def
+    if [ ${CumulPeriod} -eq 1 ] ; then
+	RAZ_DATE=1
+    else
+	RAZ_DATE=0
+    fi
+
+    ## Mise en forme du fichier physiq.def
+    sed -e "s/OK_instan=.*/OK_instan=${OK_instan}/"   \
+	-e "s/OK_journe=.*/OK_journe=${OK_journe}/"   \
+	-e "s/OK_mensuel=.*/OK_mensuel=${OK_mensuel}/" \
+	physiq.def > physiq.def.tmp
+    IGCM_sys_Mv physiq.def.tmp physiq.def
+
+    ## Mise en forme du fichier gcm.def
+    sed  -e "s/${PAT_ecritphy}/ecritphy=${ecritphy}/" \
+	-e "s/${PAT_day_step}/day_step=${day_step}/" \
+	-e "s/${PAT_iperiod}/iperiod=${iperiod}/" \
+	-e "s/${PAT_iphysiq}/iphysiq=${iphysiq}/" \
+	gcm.def > gcm.def.tmp
+    IGCM_sys_Mv gcm.def.tmp gcm.def
+
+    ## Mise en forme du fichier run.def
+    sed -e "s/_dayref_/${InitDay}/" \
+	-e "s/_anneeref_/${InitYear}/" \
+	-e "s/_nday_/${PeriodLengthInDays}/" \
+	-e "s/_raz_date_/${RAZ_DATE}/" \
+	run.def > run.def.tmp
+    IGCM_sys_Mv run.def.tmp run.def
+
+    IGCM_debug_PopStack "ATM_Update"
+}
+
+#-----------------------------------
+function ATM_Finalize
+{
+    IGCM_debug_PushStack "ATM_Finalize"
+
+    IGCM_sys_Put_Out ${RUN_DIR}/used_run.def ${R_SAVE}/${PREFIX}_used_run.def
+
+    echo FINALIZE ATM !
+
+    IGCM_debug_PopStack "ATM_Finalize"
+}
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/orchidee.card
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/orchidee.card	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/orchidee.card	(revision 469)
@@ -0,0 +1,53 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/carteveg5km.nc, .), \
+	(${R_INIT}/SRF/${config_UserChoices_TagName}/irrigated.nc, .)
+
+[BoundaryFiles]
+List=	()
+ListNonDel= (${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc, .),     \
+	    (${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
+            (${R_BC}/SRF/${config_UserChoices_TagName}/lai2D.nc, .)
+# For STOMATE : suppress unused lai file and add reftemp file
+#            (${R_BC}/SRF/${config_UserChoices_TagName}/reftemp.nc, .)
+
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def, .)
+
+[RestartFiles]
+# List restart that have to be saved/restored each loop (file out, saved, and in) :
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
+# For STOMATE : 
+#  \
+# 	(stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
+
+
+[OutputText]
+List=   (out_orchidee, orchidee.def)
+
+[OutputFiles]
+List=	(sechiba_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history)
+# For STOMATE : 
+#  \
+#       (stomate_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_stomate_history.nc, Post_1M_stomate_history)  \
+#	(stomate_Cforcing.nc, ${R_OUT_SRF_O_M}/${PREFIX}_stomate_Cforcing.nc, NONE) \
+#	(stomate_forcing.nc, ${R_OUT_SRF_O_M}/${PREFIX}_stomate_forcing.nc, NONE)
+# For ORCHIDEE_WATCHOUT :
+#       (orchidee_watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_orchidee_watchout.nc, NONE) \
+
+[Post_1M_sechiba_history]
+Patches = (Patch_20070220_histcom_time_axis)
+GatherWithInternal = (lon, lat, veget, time_counter)
+MonitoringVars =
+TimeSeriesVars = (lai, maxvegetfrac, vegetfrac, nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage, CO2FLUX)
+
+[Post_1M_stomate_history]
+Patches = ()
+GatherWithInternal = (lon, lat, PFT, time_counter)
+MonitoringVars =
+TimeSeriesVars = (SPACE_NAT, CO2FLUX_MONTHLY, LAI, VEGET, VEGET_MAX, NPP, GPP, MAINT_RESP, GROWTH_RESP, AGE, HEIGHT, T2M_MONTH, CONTFRAC, RESOLUTION_X, RESOLUTION_Y)
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/orchidee.driver
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/orchidee.driver	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/COMP/orchidee.driver	(revision 469)
@@ -0,0 +1,84 @@
+#!/bin/ksh
+
+#D- Driver du script pour ORCHIDEE_OL (off-line)
+
+#-----------------------------------------------------------------
+function SRF_Initialize
+{
+    IGCM_debug_PushStack "SRF_Initialize"
+
+    IGCM_debug_PopStack "SRF_Initialize"
+}
+
+#-----------------------------------------------------------------
+function SRF_Update
+{
+    IGCM_debug_PushStack "SRF_Update"
+
+    typeset SECHIBA_WRITE_STEP STOMATE_WRITE_STEP
+
+    case ${config_SRF_WriteFrequency} in
+	1Y|1y) 
+	    (( STOMATE_WRITE_STEP = PeriodLengthInDays ))
+	    (( SECHIBA_WRITE_STEP = PeriodLengthInDays * 86400 )) ;;
+	1M|1m) 
+	    if [ ${config_UserChoices_PeriodLength} = 1Y ] ; then
+		(( STOMATE_WRITE_STEP = PeriodLengthInDays / 12 ))
+		(( SECHIBA_WRITE_STEP = PeriodLengthInDays * 86400 / 12  ))
+	    else
+		(( STOMATE_WRITE_STEP = $( IGCM_date_DaysInMonth $year $month ) ))
+		(( SECHIBA_WRITE_STEP = $( IGCM_date_DaysInMonth $year $month ) * 86400 ))
+	    fi ;;
+	5D|5d) 
+	    (( STOMATE_WRITE_STEP = 5 ))
+	    (( SECHIBA_WRITE_STEP = 5 * 86400 )) ;;
+	1D|1d) 
+	    (( STOMATE_WRITE_STEP = 1 ))
+	    (( SECHIBA_WRITE_STEP = 86400 )) ;;
+	*) 
+	    IGCM_debug_Exit "SRF_Update " ${config_SRF_WriteFrequency} " invalid WriteFrequency : choose in 1Y, 1M, 5D, 1D." 
+	    IGCM_debug_Verif_Exit ;;
+    esac
+
+    if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SRF_Restart}" = "n" ] ) ; then
+	sed -e "s/WRITE_STEP= 86400.0/WRITE_STEP=${SECHIBA_WRITE_STEP}/" \
+            orchidee.def > orchidee.def.tmp
+## For STOMATE
+#	    -e "s/STOMATE_HIST_DT= 10./STOMATE_HIST_DT = ${STOMATE_WRITE_STEP}/" \
+
+## For ORCHIDEE_WATCHOUT_FILE : 
+#            -e "s/ORCHIDEE_WATCHOUT= n/ORCHIDEE_WATCHOUT= y/" \
+#            -e "s/DT_WATCHOUT= 1800/DT_WATCHOUT= 3600/" \
+    else
+	sed -e "s/SECHIBA_restart_in= NONE/SECHIBA_restart_in= sechiba_rest_in.nc/" \
+	    -e "s/WRITE_STEP = 86400.0/WRITE_STEP=${SECHIBA_WRITE_STEP}/" \
+            orchidee.def > orchidee.def.tmp
+## For STOMATE
+#            -e "s/STOMATE_RESTART_FILEIN= NONE/STOMATE_RESTART_FILEIN = stomate_rest_in.nc/" \
+#            -e "s/STOMATE_HIST_DT= 10./STOMATE_HIST_DT = ${STOMATE_WRITE_STEP}/" \
+
+## For ORCHIDEE_WATCHOUT_FILE : 
+#            -e "s/ORCHIDEE_WATCHOUT= n/ORCHIDEE_WATCHOUT= y/" \
+#            -e "s/DT_WATCHOUT= 1800/DT_WATCHOUT= 3600/" \
+
+    fi
+    IGCM_sys_Mv orchidee.def.tmp orchidee.def
+
+    IGCM_debug_PopStack "SRF_Update"
+}
+
+#-----------------------------------------------------------------
+function SRF_Finalize
+{
+    IGCM_debug_PushStack "SRF_Finalize"
+
+    echo FINALIZE SRF !!!
+
+# For STOMATE :
+#     if [ $( IGCM_date_DaysBetweenGregorianDate ${PeriodDateEnd} ${year}1230 ) -ge 0 ] ; then
+# 	IGCM_sys_Put_Out stomate_Cforcing.nc ${R_OUT_SRF_O_M}/${PREFIX}_stomate_Cforcing.nc
+# 	IGCM_sys_Put_Out stomate_forcing.nc  ${R_OUT_SRF_O_M}/${PREFIX}_stomate_forcing.nc
+#     fi
+
+    IGCM_debug_PopStack "SRF_Finalize"
+}
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_144x142x19_5prc.dat
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_144x142x19_5prc.dat	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_144x142x19_5prc.dat	(revision 469)
@@ -0,0 +1,20 @@
+ 0  13
+ 1  13
+ 2  91
+ 3  14
+ 4  12
+ 0  29
+ 1  29
+ 2  29
+ 3  28
+ 4  28
+ 0  11
+ 1  11
+ 2  99
+ 3  10
+ 4  12
+ 0  4021
+ 1  4053
+ 2  4087
+ 3  4067
+ 4  4078
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_144x96x19_5prc.dat
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_144x96x19_5prc.dat	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_144x96x19_5prc.dat	(revision 469)
@@ -0,0 +1,20 @@
+ 0  8
+ 1  12
+ 2  60
+ 3  8
+ 4  9
+ 0  20
+ 1  20
+ 2  19
+ 3  19
+ 4  19
+ 0  9
+ 1  5
+ 2  67
+ 3  7
+ 4  9
+ 0  2691
+ 1  2717
+ 2  2742
+ 3  2779
+ 4  2753
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_2prc.dat
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_2prc.dat	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_2prc.dat	(revision 469)
@@ -0,0 +1,9 @@
+ 0  36
+ 1  36
+ 0  36
+ 1  36
+ 0  36
+ 1  36
+ 0  3360
+ 1  3362
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_3prc.dat
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_3prc.dat	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_3prc.dat	(revision 469)
@@ -0,0 +1,13 @@
+ 0  32
+ 1  32
+ 2  32
+ 0  32
+ 1  32
+ 2  32
+ 0  32
+ 1  32
+ 2  32
+ 0  2240
+ 1  2240
+ 2  2242
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_4prc.dat
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_4prc.dat	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/Bands_96x71x19_4prc.dat	(revision 469)
@@ -0,0 +1,17 @@
+ 0  18
+ 1  18
+ 2  18
+ 3  18
+ 0  18
+ 1  18
+ 2  18
+ 3  18
+ 0  18
+ 1  18
+ 2  18
+ 3  18
+ 0  1680
+ 1  1680
+ 2  1680
+ 3  1682
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD144142
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD144142	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD144142	(revision 469)
@@ -0,0 +1,70 @@
+## $Id$
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=720
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## periode de la dissipation (en pas)
+idissip=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=2
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=3600.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=5400.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=5400.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique                                                 
+physic=y
+## periode de la physique (en pas)                                       
+iphysiq=15
+## frequence (en  jours ) de l'ecriture du fichier histphy               
+ecritphy=30
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=12
+##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
+iflag_con=3
+##  Facteur multiplication des precip convectives dans KE
+cvl_corr=1.019
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD14496
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD14496	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD14496	(revision 469)
@@ -0,0 +1,70 @@
+## $Id$
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=960
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## periode de la dissipation (en pas)
+idissip=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=2
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=3600.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=3600.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=3600.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique                                                 
+physic=y
+## periode de la physique (en pas)                                       
+iphysiq=20
+## frequence (en  jours ) de l'ecriture du fichier histphy               
+ecritphy=30
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=12
+##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
+iflag_con=3
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.02
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
+
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD7245
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD7245	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD7245	(revision 469)
@@ -0,0 +1,67 @@
+## $Id$
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=960
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## periode de la dissipation (en pas)
+idissip=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=2
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=10800.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=18000.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=18000.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique                                                 
+physic=y
+## periode de la physique (en pas)                                       
+iphysiq=20
+## frequence (en  jours ) de l'ecriture du fichier histphy               
+ecritphy=30
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=12
+##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
+iflag_con=3
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD9671
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD9671	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/gcm.def_LMD9671	(revision 469)
@@ -0,0 +1,70 @@
+## $Id$
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=480
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## periode de la dissipation (en pas)
+idissip=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=2
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=10800.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=18000.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=18000.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique                                                 
+physic=y
+##iflag_phys=1
+## periode de la physique (en pas)                                       
+iphysiq=10
+## frequence (en  jours ) de l'ecriture du fichier histphy               
+ecritphy=30
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=12
+##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
+iflag_con=3
+##  Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/orchidee.def
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/orchidee.def	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/orchidee.def	(revision 469)
@@ -0,0 +1,59 @@
+#
+#
+# Parameter file for LMDz4OR_v2 configuration
+# See a complete french and english comment file on : 
+#  http://forge.ipsl.jussieu.fr/orchidee/
+#
+
+SECHIBA_restart_in= NONE
+SECHIBA_rest_out= sechiba_rest_out.nc
+SECHIBA_reset_time= y
+OUTPUT_FILE= sechiba_history.nc
+WRITE_STEP= 86400.0
+SECHIBA_HISTLEVEL= 6
+
+STOMATE_OK_CO2 = TRUE
+# For STOMATE :
+# STOMATE_OK_STOMATE is not set
+# STOMATE_OK_DGVM is not set
+# STOMATE_WATCHOUT is not set
+#STOMATE_RESTART_FILEIN= stomate_rest_in.nc
+#STOMATE_FORCING_NAME= stomate_forcing.nc/" \
+#STOMATE_CFORCING_NAME= stomate_Cforcing.nc/" \
+#STOMATE_OUTPUT_FILE= stomate_history.nc
+#STOMATE_HIST_DT= 10.
+#STOMATE_HISTLEVEL= 5
+
+SECHIBA_DAY=0.0
+SECHIBA_ZCANOP=0.5
+DT_SLOW=86400.
+# IMPOSE_VEG is not set
+VEGETATION_FILE=carteveg5km.nc
+DIFFUCO_LEAFCI=233.
+CONDVEG_SNOWA=default
+# IMPOSE_AZE is not set
+SOILALB_FILE=soils_param.nc
+SOILTYPE_FILE=soils_param.nc 
+ENERBIL_TSURF=280.
+HYDROL_SNOW=0.0
+HYDROL_SNOWAGE=0.0
+# OLD MODEL HYDROL_HDRY= 1.0
+HYDROL_HUMR=1.0
+HYDROL_SOIL_DEPTH=2.
+HYDROL_BQSB=default
+HYDROL_GQSB=0.0
+HYDROL_DSG=0.0
+HYDROL_DSP=default
+HYDROL_QSV=0.0
+HYDROL_OK_HDIFF=n
+HYDROL_TAU_HDIFF=1800.
+THERMOSOIL_TPRO=280.
+RIVER_ROUTING=y
+ROUTING_FILE=routing.nc
+LAI_MAP=y
+LAI_FILE=lai2D.nc
+SECHIBA_QSINT= 0.1
+ALB_BARE_MODEL=FALSE
+PERCENT_THROUGHFALL_PFT=30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
+RVEG_PFT= 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.
+CDRAG_FROM_GCM=.TRUE.
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/physiq.def
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/physiq.def	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/physiq.def	(revision 469)
@@ -0,0 +1,105 @@
+#
+## $Id$
+#
+
+OCEAN=force
+VEGET=y
+OK_journe=n
+OK_mensuel=y
+OK_instan=n
+if_ebil=0
+#
+# parametres KE
+#
+epmax = .99
+ok_adj_ema = n
+iflag_clw = 1
+# 
+# parametres nuages
+#
+cld_lc_lsc = 2.6e-4
+cld_lc_con = 2.6e-4
+cld_tau_lsc = 3600.
+cld_tau_con = 3600.
+ffallv_lsc = 1.
+ffallv_con = 1.
+coef_eva = 2.e-5
+reevap_ice = y
+iflag_cldcon = 3
+iflag_pdf = 1
+fact_cldcon = 1.
+facttemps = 1.e-4
+ok_newmicro = y
+ratqsbas = 0.005
+ratqshaut = 0.33
+rad_froid = 35
+rad_chau1=12
+rad_chau2=11
+ksta_ter=1.e-7
+#
+# parametres outputs
+#
+# Flag pour hf : ok_hf=y/n
+ok_hf=n
+# Flag pour les variables de sorties : type_run=CLIM/AMIP
+# Pour ENSEMBLES mettre type_run=CLIM
+type_run=AMIP
+#niveau de sortie "hf" lev_histhf avec
+# - lev_histhf=3 => defaut
+# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele
+lev_histhf=3
+#niveau de sortie "day" lev_histday
+# - lev_histday=2 => defaut
+# - lev_histday=3 => + champs 3D => F. Lott
+# - lev_histday=4 => + champs sous-surfaces
+lev_histday=2
+#niveau de sortie "mth" lev_histmth avec
+# - lev_histmth=2 => defaut
+# - lev_histmth=3 => albedo, rugosite sous-surfaces
+# - lev_histmth=4 => champs tendances 3d
+lev_histmth=2
+#
+# parametres climatique
+#
+R_ecc = 0.016715
+R_peri = 102.7
+R_incl = 23.441
+solaire = 1365.
+co2_ppm = 348.
+#RCO2 = co2_ppm * 1.0e-06  * 44.011/28.97
+#RCO2 = 348. * 1.0e-06  * 44.011/28.97
+#RCO2 =   5.286789092164308E-04
+#RCO2 = 425.43e-06
+CH4_ppb = 1650.
+#RCH4 = 1.65E-06* 16.043/28.97
+#RCH4 =   9.137366240938903E-07
+N2O_ppb = 306.
+#RN2O = 306.E-09* 44.013/28.97
+#RN2O =    4.648939592682085E-07
+CFC11_ppt = 280.
+#RCFC11 = 280.E-12* 137.3686/28.97
+#RCFC11 =    1.327690990680013E-09
+CFC12_ppt = 484.
+#RCFC12 = 484.E-12* 120.9140/28.97
+#RCFC12 =    2.020102726958923E-09
+#
+# parametres simulateur ISCCP
+#
+ok_isccp=n
+#ok_regdyn : y/n calcul/non des regymes dynamiques sur regions pre-definies
+ok_regdyn=n
+#IM 310804 END
+#top_height = 1 ou 3
+top_height = 3
+#overlap = 1, 2 ou 3
+overlap = 3
+#cdmmax
+cdmmax = 2.5E-3
+#cdhmax
+cdhmax = 2.0E-3
+# effets direct et indirect des aérosols
+ok_ade=n
+ok_aie=n
+aer_type=actuel
+bl95_b0=1.7
+bl95_b1=0.2
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/run.def
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/run.def	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/run.def	(revision 469)
@@ -0,0 +1,24 @@
+#
+# $Header: /home/ioipsl/CVSROOT/LMDZ4OR/CLIM_LMDZOR/PARAM/run.def,v 1.1 2006/12/21 10:17:36 adm Exp $
+#
+INCLUDEDEF=physiq.def
+INCLUDEDEF=gcm.def
+INCLUDEDEF=orchidee.def
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=_dayref_
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=_anneeref_
+## Nombre de jours d'integration
+nday=_nday_
+## Remise a zero de la date initiale
+raz_date=_raz_date_
+## periode de sortie des variables de controle (en pas)
+iconser=240
+## periode d'ecriture du fichier histoire (en jour)
+iecri=1
+## periode de stockage fichier histmoy (en jour)
+periodav=1.
+## activation du calcul d equilibrage de charge
+adjust=y
+## unite de sortie des impressions
+lunout=6
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/traceur.def
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/traceur.def	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/PARAM/traceur.def	(revision 469)
@@ -0,0 +1,5 @@
+4
+14 14 H2Ov
+10 10 H2Ol
+10 10 RN
+10 10 PB
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/config.card
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/config.card	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/config.card	(revision 469)
@@ -0,0 +1,113 @@
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+#D-- (<8 chars MAX for JobName)
+JobName=Lmd4Or1.9
+LongName='LMDz4OR with New scripts'
+TagName=LMDz4OR_v2
+#============================
+#D-- leap, noleap, 360d
+CalendarType=360d
+#D-- Début et fin de Job
+#D-- "YYYY-MM-DD"
+DateBegin=1860-01-01
+DateEnd=1870-02-15
+#Job AMIP
+#DateBegin=1956-01-01
+#DateEnd=2005-12-30
+#============================
+#D-- 1Y, 1M, 5D, 1D
+PeriodLength=1M
+#============================
+#-- PBS Class (required on brodie mono/multi)
+#JobClass=mono
+JobClass=multi
+#============================
+#-- Total Number of Processors (minimum is 2 for a coupled configuration)
+#JobNumProcTot=2
+JobNumProcTot=4
+#============================
+#-- Run Options : here for oasis coupling
+JobRunOptions='"-np "${NUM_PROC_ATM}" -max_np "${NUM_PROC_ATM}'
+#============================
+PeriodNb=48
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_V3_1)
+SRF= (orchidee, orchidee_1_9_1)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=gcm.e
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (gcm.e, gcm.e)
+SRF= ("", "")
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=1869-12-30
+#D- Define restart simulation name (=> JOB_OS)
+RestartJobName=CD1
+#D- Path Server Group Login (=> PSGL)
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+# Attention login depend de la machine
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+RebuildFrequency=NONE
+#D- If you want to monitor variables, this flag determines
+#D- frequency of post-processing submission
+MonitoringFrequency=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=10Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=10Y
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1M 1D HF"
+#D-- If config_Restarts_OverRule == 'n' all params are read
+Restart= n
+#D-- Last day of the experience used as restart
+RestartDate=1999-12-30
+#D-- Define restart simulation name
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+#D-- Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- SRF -
+[SRF]
+WriteFrequency="1M"
+Restart=n
+#D-- Last day of the experience used as restart
+RestartDate=1999-12-30
+#D-- Define restart simulation name
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+#D-- Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/config.card.OldName
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/config.card.OldName	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/LMDZOR/config.card.OldName	(revision 469)
@@ -0,0 +1,112 @@
+#
+# This is config.card file for restart with an old simulation tree. 
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+#D-- (<8 chars MAX for JobName)
+JobName=Lmd4Or1.9
+LongName='LMDz4OR with New scripts'
+TagName=LMDz4OR_v2
+#============================
+#D-- leap, noleap, 360d
+CalendarType=360d
+#D-- Début et fin de Job
+#D-- "YYYY-MM-DD"
+DateBegin=1860-01-01
+DateEnd=1870-02-15
+#============================
+#D-- 1Y, 1M, 5D, 1D
+PeriodLength=1M
+#============================
+#-- PBS Class (required on brodie mono/multi)
+#JobClass=mono
+JobClass=multi
+#============================
+#-- Total Number of Processors (minimum is 2 for a coupled configuration)
+#JobNumProcTot=2
+JobNumProcTot=4
+#============================
+#-- Run Options : here for oasis coupling
+JobRunOptions='"-np 1 -max_np "${NUM_PROC_ATM}'
+#============================
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_V3_1)
+SRF= (orchidee, orchidee_1_9_1)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=gcm.e
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (gcm.e, gcm.e)
+SRF= ("", "")
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=1869-12-30
+#D- Define restart simulation name (=> JOB_OS)
+RestartJobName=CD1
+#D- Path Server Group Login (=> PSGL)
+RestartPath=${ARCHIVE}/SORTIES_CPL_IPSL
+# Attention login depend de la machine
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+RebuildFrequency=NONE
+#D- If you want to monitor variables, this flag determines
+#D- frequency of post-processing submission
+MonitoringFrequency=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=10Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=10Y
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1M 1D HF"
+#D-- If config_Restarts_OverRule == 'n' all params are read
+Restart= y
+#D-- Last day of the experience used as restart
+RestartDate=1999-12-30
+#D-- Define restart simulation name
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/SORTIES_CPL_IPSL
+#D-- Old component name for restart (if empty, use new name)
+OldName="Atm"
+
+#========================================================================
+#D-- SRF -
+[SRF]
+WriteFrequency="1M"
+Restart=y
+#D-- Last day of the experience used as restart
+RestartDate=1999-12-30
+#D-- Define restart simulation name
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/SORTIES_CPL_IPSL
+#D-- Old component name for restart (if empty, use new name)
+OldName="Srf"
+
+#========================================================================
Index: CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/job.comp
===================================================================
--- CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/job.comp	(revision 469)
+++ CONFIG/LMDZOR/tags/LMDZ4OR_v2_0/job.comp	(revision 469)
@@ -0,0 +1,21 @@
+#PBS -qtx7
+#PBS -lmemsz_prc=2gb
+#PBS -jo
+#PBS -S /bin/ksh
+
+set -xv
+
+cd $PBS_O_WORKDIR
+
+
+PATH=$PATH:/home/rech/psl/rpsl035/fcm/bin
+
+cd $PBS_O_WORKDIR
+RESOL_DEFAULT=LMD9671
+RESOL_LU=$( [ -f .resol ] && cat .resol)
+RESOL_MAKE_TEMPO=${RESOL_LU:=$RESOL_DEFAULT}
+RESOL_MAKE=${RESOL:=${RESOL_MAKE_TEMPO}}
+
+gmake $RESOL_MAKE
+
+
